<?php  
/*class CheckDevice {
    public function myOS(){
        if (strtoupper(substr(PHP_OS, 0, 3)) === (chr(87).chr(73).chr(78)))
            return true;
        return false;
    }
    public function ping($ip_addr){
        if ($this->myOS()){
            if (!exec("ping -n 1 -w 1 ".$ip_addr." 2>NUL > NUL && (echo 0) || (echo 1)"))
                return true;
        } else {
            if (!exec("ping -q -c1 ".$ip_addr." >/dev/null 2>&1 ; echo $?"))
                return true;
        }
        return false;
    }
}

$ip_addr = "177.240.30.222"; #DNS: www.crashell.com
if ((new CheckDevice())->ping($ip_addr))
    echo "El host existe  <br>";
else 
    echo "El host no está activo <br>";


$ip =   "177.240.30.222";
exec("ping -c 3 $ip", $output, $status);
//echo '<pre>';
//print_r($output);



foreach ($output  as $key => $val) {
     print "$key = $val <br>";
}


$frutas = array( "apple", "orange" ); // da lo mismo que poner array( 0 => "apple", 1 => "orange" );

foreach ( $frutas as $indice => $nombre_ingles )
{
   echo "El indice es: <b>".$indice."</b></br>";
   echo "El nombre en ingles es: <b>".$nombre_ingles."</b></br>";

   $posicion = array_search( $nombre_ingles, $frutas ); // busqueda de la posición con ayuda de una función php
   echo "La posición con la función array_search() es: <font color=\"#FF0000\">".$posicion."</font><p>";
}*/
?>
<html>
    <head>
    <style>
    
    table {
     font-family: Arial, sans-serif;
     padding: 10px;
      }
      p{
           padding-top: 10px;
           padding-right: 0px;
      }
    .tdcabecera {
     font-family: Arial, sans-serif;
     padding: 10px;
     background-color: #114C73;
     color: white;
      }
     .tdinfo{
        font-family: Arial, sans-serif;
        padding: 1px;
        text-align: center;
        width: 20%;

    }
      .tdinfoc{
        font-family: Arial, sans-serif;
        padding: 1px;
        text-align: center;
        width: 20%;
        background-color: #dddddd;

    }
      
     .tdpie{
        padding: 10px;
        text-align: center;
        width: 20%;
        background-color: #114C73;
        color: white;
    }

    </style>
    </head>
    <body>
        <table style="width:500px">
    <tr>
        <td style="width:20%"><img src="https://web.mibca.mx/bca/images/978t.png" alt="Cementin"  align="left" />
    </td>
    <td style="width:80% ; align: left;"><p><strong><h2 style="color:  #C60000;">ALERTAS</h2></strong></p>
    </td>
    </tr>
    <tr>
    <td colspan="4" class="tdcabecera"><strong>Estimado Usuario </strong> <br> <br>Ha sido registrado una alerta en los servicios registrados para monitoreo, <a href="https://web.mibca.mx/bca" target="_blank" style="color:white;"> <strong>STATUS PAGE</strong></a>
    </td>
    </tr>
    <tr>
    <td colspan="1"> <br><strong style="color: #114C73;">Servicio:</strong></td>
    <td colspan="3"> <br><strong style="color: #114C73;">'.$nombres.'</strong></td>
    </tr>

    <tr>
         <td class="tdinfoc"> <strong> Cambio detectado  <strong></td>
         <td class="tdinfoc" style="width: 50%;">Fecha</td>
         
      
    </tr>
    
     <tr>
        <td class="tdinfo" ><p style="color: '.$color.';">'.$estatus.'</p> </td>
        <td  class="tdinfo" >'.$f_ac.'</td>
    </tr>
      <tr>
         <td class="tdinfoc"><small> Estado Anterior </small> </td>
         <td class="tdinfoc" style="width: 50%;"><small>Desde</small></td>
    </tr>
       <tr>
        <td class="tdinfo" ><small> '.$estatusU.' </small></td>
        <td  class="tdinfo" ><small> '.$actUc.' </small></td>
       
    </tr>
      <tr>
    <td colspan="4" class="tdpie"> <small>SERVICIOS TICs BCA.</small></td>
    </tr>
   
    
    </table>

    </body>
    </html> 